CC=gcc
CXX=g++
ASM=gcc
LD=ld
EMU=qemu
EMUTARGET=${TARGET}
GDB=gdb
SED=sed
OBJDUMP=objdump
DOCGEN=doxygen

CFLAGS+=-fno-exceptions -fno-leading-underscore
CXXFLAGS+=${CFLAGS} -fno-rtti -nostdinc++
LDFLAGS+=-e entry -T misc/windows/sections.txt -Map ${BUILD}/link.map --file-alignment 0x200
# --disable-long-section-names

OBJDUMPFLAGS=-Cxd
EMUFLAGS+=-kernel
DEBUGFLAGS+=-S -gdb tcp::1234,nowait,nodelay,server,ipv4 
GDBFLAGS+=-x misc/gdb.script

#LDHEAD := $(addprefix misc/windows/build/, crtbegin.o)
#LDTAIL := $(addprefix misc/windows/build/, crtend.o)
LDHEAD := 
LDTAIL := 

SRCMISC=./misc
#MISC_SOURCES=${SRCMISC}/windows/inifini.c

