${TARGET}: DEPS := ${DEPS} ${BUILD}/inifini.d
${TARGET}: SYSTEM_OBJECTS := ${SYSTEM_OBJECTS} ${BUILD}/inifini.o
${TARGET}: OBJECTS  := ${LDHEAD} ${SYSTEM_OBJECTS} ${LDTAIL}
${TARGET}: ${BUILD}/inifini.o

${BUILD}/%.o: ${SRCMISC}/*/%.c ${BUILD}/%.d Makefile | ${BUILD}
	@echo "(CC   ) $@ <- $<"
	${CC} -c ${CFLAGS} -fleading-underscore $< ${INCPATHS} -o $@

${BUILD}/%.d: ${SRCMISC}/*/%.c | ${BUILD}
	${CC} -M ${CFLAGS} $< ${INCPATHS} -o $@.temp
	${SED} "s!\($(notdir $(basename $@)).o\)!${BUILD}/\1!g" $@.temp > $@
	@rm -f $@.temp

-include ${BUILD}/inifini.d